<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xmlns:context="http://www.springframework.org/schema/context"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
		http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd">

<context:component-scan base-package="com.training" />
<context:annotation-config />
	
	<!-- bean id="persistenceUnitManager"     
	       class="org.springframework.orm.jpa.persistenceunit.DefaultPersistenceUnitManager">
	       <property name="persistenceXmlLocations">
           <value>classpath*:META-INF/persistence.xml</value>
           </property>
    </bean>
    
	<bean id="entityManagerFactory" class="org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean">
	  <property name="persistenceUnitManager" ref="persistenceUnitManager"/>
	    <property name="persistenceUnitName" value="myPersistenceUnit"/>
	</bean -->
	
	<!--bean 
    id="entityManagerFactory" 
    class="org.springframework.orm.jpa.LocalContainerEntityManagerFactoryBean"
  	>
    	<property name="persistenceUnitName" value="PersistenceUnit" />
  	</bean-->

  	<!--bean 
    	id="transactionManager" 
    	class="org.springframework.orm.jpa.JpaTransactionManager" 
    	autowire="byType"
  	/-->
  	
  	<bean id="transactionDAO" class="citi.trading.dao.TransactionDAO"/>
</beans>
